Permalink
Browse files

Damn broken gemspec

  • Loading branch information...
1 parent b67a18b commit 66984a4773e887ec475843473aae96df16edd052 @cjohansen committed Apr 16, 2012
Showing with 87 additions and 21 deletions.
  1. +3 −0 History.txt
  2. +1 −1 VERSION
  3. +82 −19 juicer.gemspec
  4. +1 −1 lib/juicer.rb
View
@@ -1,3 +1,6 @@
+== 1.0.15 / 2012-04-17
+* Fix stupid depend-on-self-issue (again!)
+
== 1.0.14 / 2012-04-13
* Minor fix for closure compiler installation
View
@@ -1 +1 @@
-1.0.14
+1.0.15
View
@@ -5,18 +5,25 @@
Gem::Specification.new do |s|
s.name = %q{juicer}
- s.version = "1.0.13"
+ s.version = "1.0.15"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Christian Johansen"]
- s.date = %q{2011-08-30}
+ s.date = %q{2012-04-17}
s.default_executable = %q{juicer}
s.description = %q{Resolve dependencies, merge and minify CSS and JavaScript files with Juicer - the command line tool for frontend engineers}
s.email = %q{christian@cjohansen.no}
s.executables = ["juicer"]
s.files = [
+ "GPATH",
+ "GRTAGS",
+ "GSYMS",
+ "GTAGS",
+ "Gemfile",
+ "Gemfile.lock",
"History.txt",
"Manifest.txt",
+ "Rakefile",
"Readme.rdoc",
"VERSION",
"bin/juicer",
@@ -54,22 +61,43 @@ Gem::Specification.new do |s|
"lib/juicer/merger/stylesheet_merger.rb",
"lib/juicer/minifyer/closure_compiler.rb",
"lib/juicer/minifyer/java_base.rb",
- "lib/juicer/minifyer/yui_compressor.rb"
- ]
- s.homepage = %q{http://github.com/cjohansen/juicer}
- s.post_install_message = %q{Juicer does not ship with third party libraries. You probably want to install
-Yui Compressor and JsLint now:
-
-juicer install yui_compressor
-juicer install jslint
-
-Happy juicing!
-}
- s.require_paths = ["lib"]
- s.rubyforge_project = %q{juicer}
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Command line tool for CSS and JavaScript developers}
- s.test_files = [
+ "lib/juicer/minifyer/yui_compressor.rb",
+ "test/bin/jslint-1.0.js",
+ "test/bin/jslint.js",
+ "test/bin/rhino1_7R1.zip",
+ "test/bin/rhino1_7R2-RC1.jar",
+ "test/bin/rhino1_7R2-RC1.zip",
+ "test/bin/rhino1_7R3.jar",
+ "test/bin/rhino1_7R3.zip",
+ "test/bin/yuicompressor",
+ "test/bin/yuicompressor-2.3.5.zip",
+ "test/bin/yuicompressor-2.4.2.jar",
+ "test/bin/yuicompressor-2.4.2.zip",
+ "test/data/Changelog.txt",
+ "test/data/a.css",
+ "test/data/a.js",
+ "test/data/a1.css",
+ "test/data/b.css",
+ "test/data/b.js",
+ "test/data/b1.css",
+ "test/data/b2.css",
+ "test/data/c1.css",
+ "test/data/css/2.gif",
+ "test/data/css/test.css",
+ "test/data/css/test2.css",
+ "test/data/css/test3.css",
+ "test/data/d1.css",
+ "test/data/images/1.png",
+ "test/data/my_app.js",
+ "test/data/not-ok.js",
+ "test/data/ok.js",
+ "test/data/path_test.css",
+ "test/data/path_test2.css",
+ "test/data/pkg/module/moda.js",
+ "test/data/pkg/module/modb.js",
+ "test/data/pkg/pkg.js",
+ "test/fixtures/rhino-download.html",
+ "test/fixtures/yui-download.html",
"test/test_helper.rb",
"test/unit/juicer/asset/path_resolver_test.rb",
"test/unit/juicer/asset/path_test.rb",
@@ -99,25 +127,60 @@ Happy juicing!
"test/unit/juicer/minifyer/yui_compressor_test.rb",
"test/unit/juicer_test.rb"
]
+ s.homepage = %q{http://github.com/cjohansen/juicer}
+ s.post_install_message = %q{Juicer does not ship with third party libraries. You probably want to install
+Yui Compressor and JsLint now:
+
+juicer install yui_compressor
+juicer install jslint
+
+Happy juicing!
+}
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{juicer}
+ s.rubygems_version = %q{1.4.2}
+ s.summary = %q{Command line tool for CSS and JavaScript developers}
if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<shoulda>, [">= 2.10.2"])
s.add_development_dependency(%q<mocha>, [">= 0.9.8"])
s.add_development_dependency(%q<fakefs>, [">= 0.2.1"])
s.add_development_dependency(%q<jeweler>, [">= 0.2.1"])
+ s.add_development_dependency(%q<shoulda>, [">= 2.10.2"])
+ s.add_development_dependency(%q<mocha>, [">= 0.9.8"])
+ s.add_development_dependency(%q<fakefs>, [">= 0.2.1"])
+ s.add_development_dependency(%q<jeweler>, [">= 0.2.1"])
+ s.add_development_dependency(%q<redgreen>, [">= 1.2.2"])
s.add_runtime_dependency(%q<cmdparse>, [">= 0"])
s.add_runtime_dependency(%q<nokogiri>, [">= 1.5.0"])
s.add_runtime_dependency(%q<rubyzip>, [">= 0"])
else
+ s.add_dependency(%q<shoulda>, [">= 2.10.2"])
+ s.add_dependency(%q<mocha>, [">= 0.9.8"])
+ s.add_dependency(%q<fakefs>, [">= 0.2.1"])
+ s.add_dependency(%q<jeweler>, [">= 0.2.1"])
+ s.add_dependency(%q<shoulda>, [">= 2.10.2"])
+ s.add_dependency(%q<mocha>, [">= 0.9.8"])
+ s.add_dependency(%q<fakefs>, [">= 0.2.1"])
+ s.add_dependency(%q<jeweler>, [">= 0.2.1"])
+ s.add_dependency(%q<redgreen>, [">= 1.2.2"])
s.add_dependency(%q<cmdparse>, [">= 0"])
s.add_dependency(%q<nokogiri>, [">= 1.5.0"])
s.add_dependency(%q<rubyzip>, [">= 0"])
end
else
+ s.add_dependency(%q<shoulda>, [">= 2.10.2"])
+ s.add_dependency(%q<mocha>, [">= 0.9.8"])
+ s.add_dependency(%q<fakefs>, [">= 0.2.1"])
+ s.add_dependency(%q<jeweler>, [">= 0.2.1"])
+ s.add_dependency(%q<shoulda>, [">= 2.10.2"])
+ s.add_dependency(%q<mocha>, [">= 0.9.8"])
+ s.add_dependency(%q<fakefs>, [">= 0.2.1"])
+ s.add_dependency(%q<jeweler>, [">= 0.2.1"])
+ s.add_dependency(%q<redgreen>, [">= 1.2.2"])
s.add_dependency(%q<cmdparse>, [">= 0"])
s.add_dependency(%q<nokogiri>, [">= 1.5.0"])
s.add_dependency(%q<rubyzip>, [">= 0"])
View
@@ -3,7 +3,7 @@
module Juicer
# :stopdoc:
- VERSION = '1.0.14'
+ VERSION = '1.0.15'
LIBPATH = ::File.expand_path(::File.dirname(__FILE__)) + ::File::SEPARATOR
PATH = ::File.dirname(LIBPATH) + ::File::SEPARATOR
LOGGER = Logger.new(STDOUT)

0 comments on commit 66984a4

Please sign in to comment.